/*!\file MatlabMatrixToSeqMat.cpp
 */

/*Headers:*/
/*{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <mex.h>
#include <stdio.h>
#include <string.h>
#include "../../toolkits/toolkits.h"
#include "../../shared/shared.h"
#include "./matlabio.h"

/*}}}*/

SeqMat* MatlabMatrixToSeqMat(const mxArray* dataref){

	SeqMat* output=NULL;

	output=new SeqMat();
	MatlabMatrixToDoubleMatrix(&output->matrix,&output->M,&output->N,dataref);
	return output;

}
